diff --git a/build/index.php b/build/index.php
index 35fae27..0f043ce 100644
--- a/build/index.php
+++ b/build/index.php
@@ -46,6 +46,8 @@ $settings->maxpagesize = 135000;
 // affect code blocks - they should alwys be escaped. It is STRONGLY
 // recommended that you keep this option turned on, *ESPECIALLY* if you allow
 // anonymous edits as no sanitizing what so ever is performed on the HTML.
+// Also note that some parsers may override this setting and escape HTML
+// sequences anyway.
 $settings->clean_raw_html = true;
 
 // Determined whether users who aren't logged in are allowed to edit your wiki.
@@ -1103,9 +1105,9 @@ register_module([
 			else
 			{
 				// This page isn't a redirect. Unset the metadata just in case.
-				if(isseet($index_entry->redirect))
+				if(isset($index_entry->redirect))
 					unset($index_entry->redirect);
-				if(isseet($index_entry->redirect_target))
+				if(isset($index_entry->redirect_target))
 					unset($index_entry->redirect_target);
 			}
 		});
@@ -2028,9 +2030,12 @@ register_module([
 	"code" => function() {
 		$parsedown_extra = new ParsedownExtra();
 		add_parser("parsedown", function($source) use ($parsedown_extra) {
-			$source = Parsedown_Slimdown_Extensions::render($source);
 			
-			return $parsedown_extra->text($source);
+			$result = $parsedown_extra->text($source);
+			
+			$result = Parsedown_Slimdown_Extensions::render($source);
+			
+			return $result;
 		});
 	}
 ]);
diff --git a/module_index.json b/module_index.json
index 31af2bc..87dd225 100644
--- a/module_index.json
+++ b/module_index.json
@@ -41,7 +41,7 @@
         "author": "Starbeamrainbowlabs",
         "description": "Adds support for redirect pages. Uses the same syntax that Mediawiki does.",
         "id": "feature-redirect",
-        "lastupdate": 1443874989,
+        "lastupdate": 1443963856,
         "optional": false
     },
     {
@@ -158,7 +158,7 @@
         "author": "Johnny Broadway, Emanuil Rusev & Starbeamrainbowlabs",
         "description": "An upgraded parser based on Emanuil Rusev's Parsedown Extra PHP library (https:\/\/github.com\/erusev\/parsedown-extra), which is licensed MIT. Also uses a modified Slimdown engine by Johnny Broadway in order to add support for internal links etc. Please be careful, as this module adds a _ton_ of weight to your installation.",
         "id": "parser-parsedown",
-        "lastupdate": 1443961922,
+        "lastupdate": 1443962482,
         "optional": true
     }
 ]
\ No newline at end of file
diff --git a/modules/feature-redirect.php b/modules/feature-redirect.php
index d3208fd..986a099 100644
--- a/modules/feature-redirect.php
+++ b/modules/feature-redirect.php
@@ -19,9 +19,9 @@ register_module([
 			else
 			{
 				// This page isn't a redirect. Unset the metadata just in case.
-				if(isseet($index_entry->redirect))
+				if(isset($index_entry->redirect))
 					unset($index_entry->redirect);
-				if(isseet($index_entry->redirect_target))
+				if(isset($index_entry->redirect_target))
 					unset($index_entry->redirect_target);
 			}
 		});
diff --git a/modules/parser-parsedown.php b/modules/parser-parsedown.php
index 63e45a8..282b095 100644
--- a/modules/parser-parsedown.php
+++ b/modules/parser-parsedown.php
@@ -9,9 +9,12 @@ register_module([
 	"code" => function() {
 		$parsedown_extra = new ParsedownExtra();
 		add_parser("parsedown", function($source) use ($parsedown_extra) {
-			$source = Parsedown_Slimdown_Extensions::render($source);
 			
-			return $parsedown_extra->text($source);
+			$result = $parsedown_extra->text($source);
+			
+			$result = Parsedown_Slimdown_Extensions::render($source);
+			
+			return $result;
 		});
 	}
 ]);
diff --git a/settings.fragment.php b/settings.fragment.php
index dc15c59..e0bcc59 100644
--- a/settings.fragment.php
+++ b/settings.fragment.php
@@ -43,6 +43,8 @@ $settings->maxpagesize = 135000;
 // affect code blocks - they should alwys be escaped. It is STRONGLY
 // recommended that you keep this option turned on, *ESPECIALLY* if you allow
 // anonymous edits as no sanitizing what so ever is performed on the HTML.
+// Also note that some parsers may override this setting and escape HTML
+// sequences anyway.
 $settings->clean_raw_html = true;
 
 // Determined whether users who aren't logged in are allowed to edit your wiki.
